Bug 424541 - Please build SMBus driver i2c-piix4 as a module in RHEL4.7
Please build SMBus driver i2c-piix4 as a module in RHEL4.7
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
Martin Jenner
: OtherQA
: 434814 (view as bug list)
Depends On:
Blocks: RHEL4u7_relnotes
  Show dependency treegraph
 
Reported: 2007-12-13 20:04 EST by Shane Huang
Modified: 2009-06-19 21:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:23:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL4 fix for this issue (1.16 KB, patch)
2008-03-12 10:54 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Shane Huang 2007-12-13 20:04:17 EST
+++ This bug was initially created as a clone of Bug #424531 +++

Description of problem:
RHEL4.6 did not build i2c-piix4 into the kernel or as a module,
although the driver patch of AMD SBX00 SMBus has been added into source.
Would you please modify your config file and build i2c-piix4
as a module? So that our customer need not build the kernel source
by themselves if they need the SMBus driver. They only need to load
the driver module.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Always

Steps to Reproduce:
1. # modinfo i2c-piix4 in RHEL4.6
2. check the config file in /boot/

Actual results:
1. No such module i2c-piix4 can be found in RHEL4.6
2. If you check the config file in the /boot/, you will find
that CONFIG_I2C_PIIX4 is not set.

Expected results:
1. i2c-piix4 and the description should be found when run "modinfo i2c-piix4"
2. CONFIG_I2C_PIIX4=m should be found in the config file in /boot/

Additional info:
I need not provide any patch here, what you need do is to re-configure
the config file with "make menuconfig" or some commands else, and select
the CONFIG_I2C_PIIX4 as a module, and provide it in RHEL4.7
Comment 1 Shane Huang 2007-12-19 20:57:19 EST
I checked the kernel config of RHEL4.5 again, confirmed that CONFIG_I2C_PIIX4
has been built as module in x86. But kernels for x86_64 has not built it.

Can you build it too under x86_64? Is there any problem which make you disable 
it?

Thanks
Comment 2 Bhavna Sarathy 2007-12-20 10:29:11 EST
Yes, this is done and submitted to RH in the nick of time as yesterday was the
code cut off date.  It's a simple config change for plain x86_64, debug and xen
kernels.  I'll let your team handle the testing. ;)
Bhavana
Comment 3 Bhavna Sarathy 2007-12-20 10:31:09 EST
Sorry, my comment pertained to R5.2, ignore but agree should be done for R4.7.  
R4.7 as I recall has a !64BIT from a prvious issue with 64-bit kernels with no
longer exist.  Removing this condition and providing configs would help get this in.
Bhavana
Comment 4 Don Domingo 2008-02-12 21:44:29 EST
monitoring as per BZ#424531. 
Comment 5 Bhavna Sarathy 2008-02-26 10:43:32 EST
*** Bug 434814 has been marked as a duplicate of this bug. ***
Comment 7 Shane Huang 2008-03-06 06:18:48 EST
This issue has not been fixed in the up to date
kernel-2.6.9-68.17.EL.x86_64.rpm

Please check and fix it, thanks.
Comment 8 Prarit Bhargava 2008-03-12 10:52:25 EDT
Remove !64BIT from i2c-piix4 driver so that it will build as a module in
x86_64.

Seems safe to do given upstream's removal of the same flag -- at one point
i2c-piix4 didn't appear on 64-bit systems and when it did eventually show up
on 64-bit systems upstream removed the flag.

P.
Comment 9 Prarit Bhargava 2008-03-12 10:54:27 EDT
Created attachment 297775 [details]
RHEL4 fix for this issue
Comment 10 Shane Huang 2008-03-12 21:02:59 EDT
This patch is okay to me.  Thanks
Comment 11 RHEL Product and Program Management 2008-03-17 15:10:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Don Domingo 2008-03-17 21:12:59 EDT
added to RHEL4.7 release notes under "Driver Updates => General Driver Updates":

<quote>
i2c-piix4 kernel module is now enabled to support the AMD SBX00 SMBus.
</quote>

please advise if any further revisions are required. thanks!
Comment 14 Vivek Goyal 2008-03-20 10:09:49 EDT
Committed in 68.24.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 16 Don Domingo 2008-06-02 19:17:31 EDT
Hi,

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:
http://intranet.corp.redhat.com/ic/intranet/RHEL4u7relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 17 Chris Ward 2008-06-05 11:56:44 EDT
~~~~~~~~~~~~~~
~ Attention: ~ Feedback requested regarding this **High Priority** bug. 
~~~~~~~~~~~~~~

A fix for this issue should be included in the latest packages contained in
RHEL4.7-Snapshot1--available now on partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the passing results of your test in appropriate
detail, along with which snapshot and package version tested. The bugzilla will
be updated by Red Hat Quality Engineering for you when this information has been
received.

If you believe this issue has not properly fixed or you are unable to verify the
issue for any reason, please add a comment describing the most recent issues you
are experiencing, along with which snapshot and package version tested. 

If you believe the bug has not been fixed, change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and bugzilla will be updated for you. 

If you need assistance accessing ftp://partners.redhat.com, please contact your
Partner Manager.

Thank you
Red Hat QE Partner Management
Comment 18 Shane Huang 2008-06-09 21:55:26 EDT
Verified with RHEL4.7 Beta (kernel 2.6.9-70.EL)
Comment 21 errata-xmlrpc 2008-07-24 15:23:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html
Comment 22 Chris Ward 2008-07-29 03:28:07 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.